# $Revision: 1.21 $, $Date: 2006/05/31 12:55:02 $
%define		strange_version		%(echo %{version} | tr . _)
%define		ocaml_ver	1:3.09.2
Summary:	ODBC binding for OCaml
Summary(pl):	Wizania ODBC dla OCamla
Name:		ocaml-odbc
Version:	2.6
Release:	8
License:	GPL/LGPL
Group:		Libraries
URL:		http://pauillac.inria.fr/~guesdon/Tools/ocamlodbc/ocamlodbc.html
Source0:	http://pauillac.inria.fr/~guesdon/Tools/Tars/ocamlodbc_%{strange_version}.tar.gz
# Source0-md5:	1375ce7bb9f34d4d516b335416914833
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	unixODBC-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OCamlODBC is a library allowing to acces databases via an Open
DataBase Connectivity (ODBC) driver from OCaml programs. This package
contains files needed to run bytecode executables using OCamlODBC.

%description -l pl
OCamlODBC jest bibliotek umoliwiajca dostp do baz danych poprzez
sterownik Open DataBase Connectivity (ODBC) z programw napisanych w
OCamlu. Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych OCamlODBC.

%package devel
Summary:	ODBC binding for OCaml - development part
Summary(pl):	Wizania ODBC dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
OCamlODBC is a library allowing to acces databases via an Open
DataBase Connectivity (ODBC) driver from OCaml programs. This package
contains files needed to develop OCaml programs using OCamlODBC.

%description devel -l pl
OCamlODBC jest bibliotek umoliwiajca dostp do baz danych poprzez
sterownik Open DataBase Connectivity (ODBC) z programw napisanych w
OCamlu. Pakiet ten zawiera pliki niezbdne do tworzenia programw
uywajcych OCamlODBC.

%prep
%setup -q -n ocamlodbc-%{version}

%build
# configure.in is not included, it dosn't matter much anyway
%configure2_13

# it is also possible to build psql, mysql and db2 drivers, but:
#   -- they cannot be compiled simultonetely
#   -- there are specialzed bindings for msql and psql
#   -- postgresql-odbc-devel conflicts with unixODBC-devel

%{__make} CC="%{__cc} %{rpmcflags} -fpic" unixodbc

# ok, I have my own opinion how to make libraries ;)
ocamlmklib -o ocamlodbc ocaml_odbc.cm[xo] ocamlodbc.cm[xo] \
	ocaml_odbc_c.o -lodbc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{ocamlodbc,stublibs}
install *.cm[ixa]* *.a $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlodbc
install dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs
(cd $RPM_BUILD_ROOT%{_libdir}/ocaml && ln -s ocamlodbc/dll*.so .)

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r Exemples Biniki $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# META for findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlodbc
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlodbc/META <<EOF
# Specifications for the "ocamlodbc" library:
requires = "unix"
version = "%{version}"
directory = "+ocamlodbc"
archive(byte) = "ocamlodbc.cma"
archive(native) = "ocamlodbc.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc *.mli LICENCE
%dir %{_libdir}/ocaml/ocamlodbc
%{_libdir}/ocaml/ocamlodbc/*.cm[ixa]*
%{_libdir}/ocaml/ocamlodbc/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/ocamlodbc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-odbc.spec,v $
Revision 1.21  2006/05/31 12:55:02  glen
- rel 8 (rebuild with ocaml-3.09.2)

Revision 1.20  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.19  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.18  2005/12/10 18:45:59  baggins
- release 5 for ocaml 3.09.0

Revision 1.17  2005/10/11 20:25:54  paszczus
- release up to rebuild with new ocaml

Revision 1.16  2005/05/21 17:26:15  ankry
- rel. 3

Revision 1.15  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.14  2003/09/03 22:10:27  malekith
- up to 2.6; rebuild with 3.07

Revision 1.13  2003/05/28 14:18:37  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.12  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/08/18 12:15:44  blues
- release 4 - license fix; STBR

Revision 1.9  2002/08/06 17:27:52  marcus
- rel.3. (rel.2 is on ftp for ppc)

Revision 1.8  2002/07/31 14:31:13  malekith
- license LGPL -> GPL/LGPL

Revision 1.7  2002/07/31 13:33:55  malekith
- LICENCE is back
- rel 2

Revision 1.6  2002/07/31 08:18:40  kloczek
- use new %doc.

Revision 1.5  2002/05/13 11:03:50  malekith
- fixed previous commit message

Revision 1.4  2002/05/13 10:54:07  malekith
- moved %%{_libdir}/ocaml/ocamlodbc to main package (from -devel)
- -devel now owns entiere site-lib/ocamlodbc, not only META in it

Revision 1.3  2002/05/10 11:20:42  malekith
- pass %%{__cc} and set proper cflags (including -fpic)
- fixed few c&p typos
- added META file for findlib

Revision 1.2  2002/05/09 15:46:08  malekith
- fixed URL
- added Source URL

Revision 1.1  2002/05/09 15:39:30  malekith
- initial; from scratch

